import { TwilioMessageSender, TwilioPayloadBase } from './TwilioMessageSender';
import { ExtId } from '@segment/actions-shared';
export declare abstract class PhoneMessageSender<Payload extends PhoneMessagePayload> extends TwilioMessageSender<Payload> {
    private readonly EXTERNAL_ID_KEY;
    private readonly DEFAULT_HOSTNAME;
    private readonly DEFAULT_CONNECTION_OVERRIDES;
    abstract getBody(phone: string): Promise<URLSearchParams>;
    get twilioHostname(): string;
    get twilioToken(): string;
    sendToRecepient(recepient: ExtId<Payload>): Promise<import("@segment/actions-core/src").ModifiedResponse<unknown>>;
    isSupportedExternalId(externalId: NonNullable<Payload['externalIds']>[number]): boolean;
    getRecepients(): ExtId<Payload>[];
}
export interface PhoneMessagePayload extends TwilioPayloadBase {
    toNumber?: string;
}
